<span>
  <button type="button" class="btn btn-default btn-xs" ng-mousedown="pgTbl.addGeneToCart(dataset.name, gene._source['geneid'])"
          ng-class="{'btn-success': pgTbl.isGeneInCart(dataset.name, gene._source['geneid'])}"
          ng-disabled="pgTbl.isGeneInCart(dataset.name, gene._source['geneid'])"
          uib-tooltip="Add to cart" tooltip-placement="top">
    <i class="fa fa-shopping-cart"></i><!--
          --><i class="fa fa-fw" ng-class="{'fa-plus': !pgTbl.isGeneInCart(dataset.name, gene._source['geneid']), 'fa-check': pgTbl.isGeneInCart(dataset.name, gene._source['geneid'])}"></i>
  </button>
</span>